author = "Harald Hoyer"
title = "Harald Hoyer"
description = "Triple Faults for Debug"

# The URL the site will be built for
base_url = "https://harald.hoyer.xyz"

# Whether to automatically compile all Sass files in the sass directory
compile_sass = true
# Whether to build a search index to be used later on by a JavaScript library
build_search_index = true

theme = "zola-clean-blog"

taxonomies = [
    {name = "tags", feed = true, paginate_by=10},
]

generate_feed = true
feed_filename = "rss.xml"

[markdown]

# Whether to do syntax highlighting
# Theme can be customised by setting the `highlight_theme` variable to a theme supported by Zola
highlight_code = true

render_emoji = true


#highlight_theme = "dracula"
#highlight_theme = "inspired-github"
highlight_theme = "ir-white"
#highlight_theme = "material-light"
#highlight_theme = "base16-ocean-dark"

extra_syntaxes_and_themes = [
    "syntaxes",
    "syntaxes/Sublime-varlink",
    "syntaxes/Sublime-console",
]

[extra]
# Put all your custom variables here

author = "Harald Hoyer"

clean_blog_menu = [
    {url = "/", name = "Home"},
    {url = "/tags", name = "Tags"},
    {url = "https://photo-harald.hoyer.xyz/", name = "Photos"},
    {url = "/impressum", name = "Impressum"},
]

clean_blog_social = [
#    {url = "https://hoyer.xyz/profile/harald", icon="fab fa-mastodon"},
    {url = "https://floss.social/@backslash", icon="fab fa-mastodon"},
    {url = "https://github.com/haraldh", icon="fab fa-github"},
    {url = "https://keybase.io/haraldhoyer/", icon="fab fa-keybase"},
    {url = "/rss", icon="fas fa-rss"}
]
